-- MySQL dump 10.8
--
-- Host: localhost    Database: tapintobath
-- ------------------------------------------------------
-- Server version	4.1.7-standard

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE="NO_AUTO_VALUE_ON_ZERO" */;

--
-- Table structure for table `Collection`
--

DROP TABLE IF EXISTS `Collection`;
CREATE TABLE `Collection` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `title` text NOT NULL,
  `description` text NOT NULL,
  `physicalCharacteristics` text NOT NULL,
  `size` text NOT NULL,
  `type` tinyint(3) unsigned default '0',
  `curatorialEnvironment` tinyint(3) unsigned default '0',
  `content` tinyint(3) unsigned default '0',
  `policy` tinyint(3) unsigned default '0',
  `accumulationDateRange` varchar(255) default NULL,
  `contentsDateRange` varchar(255) default NULL,
  `note` text,
  `superCollection` int(10) unsigned default '0',
  `associatedCollection` text,
  `associatedPublication` text,
  `accrualstatus` varchar(255) default NULL,
  `legalstatus` varchar(255) default NULL,
  `custodialhistory` text,
  `accesscontrol` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `CollectionAudience`
--

DROP TABLE IF EXISTS `CollectionAudience`;
CREATE TABLE `CollectionAudience` (
  `collectionid` int(10) unsigned NOT NULL default '0',
  `generalinterest` tinyint(1) unsigned NOT NULL default '0',
  `schoolvisit` tinyint(1) unsigned NOT NULL default '0',
  `undergrad` tinyint(1) unsigned NOT NULL default '0',
  `research` tinyint(1) unsigned NOT NULL default '0',
  `sixteenplus` tinyint(1) unsigned NOT NULL default '0',
  `professional` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`collectionid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `CollectionCatalogue`
--

DROP TABLE IF EXISTS `CollectionCatalogue`;
CREATE TABLE `CollectionCatalogue` (
  `catalogueid` int(10) unsigned NOT NULL auto_increment,
  `collection` int(10) unsigned NOT NULL default '0',
  `catalogue` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`catalogueid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `CollectionConcept`
--

DROP TABLE IF EXISTS `CollectionConcept`;
CREATE TABLE `CollectionConcept` (
  `collection` int(10) unsigned NOT NULL default '0',
  `concept` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`collection`,`concept`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `CollectionLanguage`
--

DROP TABLE IF EXISTS `CollectionLanguage`;
CREATE TABLE `CollectionLanguage` (
  `collection` int(10) unsigned NOT NULL default '0',
  `language` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`collection`,`language`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `CollectionLocation`
--

DROP TABLE IF EXISTS `CollectionLocation`;
CREATE TABLE `CollectionLocation` (
  `collectionid` int(10) unsigned NOT NULL default '0',
  `name` text,
  `address` text,
  `postcode` varchar(255) default NULL,
  `country` varchar(255) default NULL,
  `url` varchar(255) default NULL,
  `accessconditions` text,
  `seealso` varchar(255) default NULL,
  PRIMARY KEY  (`collectionid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `CollectionName`
--

DROP TABLE IF EXISTS `CollectionName`;
CREATE TABLE `CollectionName` (
  `nameid` int(10) unsigned NOT NULL auto_increment,
  `collection` int(10) unsigned NOT NULL default '0',
  `namepersonal` int(10) unsigned default '0',
  `namecorporate` int(10) unsigned default '0',
  PRIMARY KEY  (`nameid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `CollectionObject`
--

DROP TABLE IF EXISTS `CollectionObject`;
CREATE TABLE `CollectionObject` (
  `objectid` int(10) unsigned NOT NULL auto_increment,
  `collection` int(10) unsigned NOT NULL default '0',
  `object` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`objectid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `CollectionPerson`
--

DROP TABLE IF EXISTS `CollectionPerson`;
CREATE TABLE `CollectionPerson` (
  `collectionid` int(10) unsigned NOT NULL default '0',
  `collectorperson` int(10) unsigned default '0',
  `ownerperson` int(10) unsigned default '0',
  `adminperson` int(10) unsigned default '0',
  PRIMARY KEY  (`collectionid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `CollectionPlace`
--

DROP TABLE IF EXISTS `CollectionPlace`;
CREATE TABLE `CollectionPlace` (
  `collection` int(10) unsigned NOT NULL default '0',
  `place` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`collection`,`place`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `CollectionStrength`
--

DROP TABLE IF EXISTS `CollectionStrength`;
CREATE TABLE `CollectionStrength` (
  `strengthid` int(10) unsigned NOT NULL auto_increment,
  `collectionid` int(10) unsigned NOT NULL default '0',
  `localinterest` tinyint(1) unsigned NOT NULL default '0',
  `regionalinterest` tinyint(1) unsigned NOT NULL default '0',
  `local` tinyint(1) unsigned NOT NULL default '0',
  `regional` tinyint(1) unsigned NOT NULL default '0',
  `national` tinyint(1) unsigned NOT NULL default '0',
  `international` tinyint(1) unsigned NOT NULL default '0',
  `text` varchar(255) default NULL,
  PRIMARY KEY  (`strengthid`,`collectionid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `CollectionTime`
--

DROP TABLE IF EXISTS `CollectionTime`;
CREATE TABLE `CollectionTime` (
  `collection` int(10) unsigned NOT NULL default '0',
  `time` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`collection`,`time`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `Concept`
--

DROP TABLE IF EXISTS `Concept`;
CREATE TABLE `Concept` (
  `id` int(10) unsigned NOT NULL default '0',
  `name` varchar(255) default NULL,
  `sequence` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `Language`
--

DROP TABLE IF EXISTS `Language`;
CREATE TABLE `Language` (
  `id` int(10) unsigned NOT NULL default '0',
  `iso639` char(3) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `NameCorporate`
--

DROP TABLE IF EXISTS `NameCorporate`;
CREATE TABLE `NameCorporate` (
  `id` int(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `sequence` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `NamePersonal`
--

DROP TABLE IF EXISTS `NamePersonal`;
CREATE TABLE `NamePersonal` (
  `id` int(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `sequence` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `Person`
--

DROP TABLE IF EXISTS `Person`;
CREATE TABLE `Person` (
  `personID` int(10) unsigned NOT NULL auto_increment,
  `name` text,
  `organisation` text,
  `role` text,
  `telnum` varchar(255) default NULL,
  `faxnum` varchar(255) default NULL,
  `email` varchar(255) default NULL,
  `biography` text,
  PRIMARY KEY  (`personID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `Place`
--

DROP TABLE IF EXISTS `Place`;
CREATE TABLE `Place` (
  `id` int(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `sequence` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `Search`
--

DROP TABLE IF EXISTS `Search`;
CREATE TABLE `Search` (
  `searchid` int(10) unsigned NOT NULL auto_increment,
  `generationtime` int(10) unsigned NOT NULL default '0',
  `searchtype` enum('BASIC','ADVANCED') NOT NULL default 'BASIC',
  PRIMARY KEY  (`searchid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `SearchResult`
--

DROP TABLE IF EXISTS `SearchResult`;
CREATE TABLE `SearchResult` (
  `searchid` int(10) unsigned NOT NULL default '0',
  `collectionid` int(10) unsigned NOT NULL default '0',
  `strength` int(10) unsigned NOT NULL default '0',
  `hightitle` text NOT NULL,
  `highdescription` text NOT NULL,
  PRIMARY KEY  (`searchid`,`collectionid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `Time`
--

DROP TABLE IF EXISTS `Time`;
CREATE TABLE `Time` (
  `id` int(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `sequence` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `TypeContent`
--

DROP TABLE IF EXISTS `TypeContent`;
CREATE TABLE `TypeContent` (
  `id` tinyint(3) unsigned NOT NULL default '0',
  `text` varchar(255) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `TypeCuratorialEnvironment`
--

DROP TABLE IF EXISTS `TypeCuratorialEnvironment`;
CREATE TABLE `TypeCuratorialEnvironment` (
  `id` tinyint(3) unsigned NOT NULL default '0',
  `text` varchar(255) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `TypePolicy`
--

DROP TABLE IF EXISTS `TypePolicy`;
CREATE TABLE `TypePolicy` (
  `id` tinyint(3) unsigned NOT NULL default '0',
  `text` varchar(255) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `TypeType`
--

DROP TABLE IF EXISTS `TypeType`;
CREATE TABLE `TypeType` (
  `id` tinyint(3) unsigned NOT NULL default '0',
  `text` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;

