#!/bin/perl -wT

############################################################################
# Main.cgi
#
# Description
#
# The script to display the Administrator Interface Main menu
#
#
#
# Change History
#
# 22/05/05 Ian Bolton
# Created
#
############################################################################

############################################################################
# MODULES
############################################################################

# Use the CGI module
use CGI;

# Comment out for final release
use CGI::Carp qw(warningsToBrowser fatalsToBrowser);

# Display nice XHTML code
use CGI::Pretty;

# Uncomment at end to show compliance
#use strict;

############################################################################
# Library Includes
############################################################################

# Look in these locations for libraries
push(@INC, "../common/require");
push(@INC, "../common/cfg");

# Template parsing functions
require 'template.pl';

# Configuration
require 'config.pl';

# Utility function library
require 'utility.pl';

############################################################################
# Main Script
############################################################################

# Load Config
my (%CFG) = &get_config();

# Construct the CGI object
my $cgi = CGI->new;

# This contains the values to replace in each template
my (%VAR) = &get_template_values(%CFG);

$VAR{'NAVBAR'} = "Main Menu";

# Print Standard Header
print $cgi->header();
print $cgi->start_html({-title=>"Admin - Main Menu",
						-style=>"$CFG{'admin-stylesheet-rel-path'}"});


print &parse_template("$CFG{'main-admin-templates-rel-dir'}/mainheader-xhtml.template", %VAR);

# Page Content
print &parse_template("$CFG{'main-admin-templates-rel-dir'}/main-menu-content-xhtml.template", %VAR);


# Page Footer
print &parse_template("$CFG{'main-admin-templates-rel-dir'}/mainfooter-xhtml.template", %VAR);

print $cgi->end_html();
