# Parse a HTML template and insert variables
sub parse_template()
{
	my ($template, %VAR) = @_;
	
	# Read contents of template file
	open(TEMPLATE, $template) || return("<div align=\"center\"><br /><span class=\"error\">Cannot open template file : $template : $!</span></div>");
	my @lines = <TEMPLATE>;
	close(TEMPLATE);
	
	my $HTML = "";
	
	my $line;
	
	foreach $line (@lines)
	{
		# Identify variables to be substituted as surrounded by <<($1)>>
		while ($line =~ /(\<\<[^>]+\>\>)/g)
		{
			my $fulltag = $1;
			$fulltag =~ /\<\<([^>]+)\>\>/;
			
			my $tagonly = $1;
			
			my $variable = $VAR{$tagonly};
			
			$line =~ s/$fulltag/$variable/g;
		}

		$HTML .= "$line";
	}
	
	return($HTML);
}
1;