#!/bin/perl -wT

############################################################################
# searchorbrowse.cgi
#
# Description
#
# Shows the links to either browse through collection titles or to go to
# the administrator search interface
#
# Change History
#
# 08/06/05 Ian Bolton
# Created 
#
# $Id: searchorbrowse.cgi,v 1.1 2004/10/03 15:35:02 ibolton Exp $
#
############################################################################

############################################################################
# MODULES
############################################################################

# Use the CGI module
use CGI;

# Comment out for final release
use CGI::Carp qw(warningsToBrowser fatalsToBrowser);

# Display nice XHTML code
use CGI::Pretty;

# Uncomment at end to show compliance
#use strict;

############################################################################
# Library Includes
############################################################################

# Look in these locations for libraries
push(@INC, "../common/require");
push(@INC, "../common/cfg");

# Template parsing functions
require 'template.pl';

# Configuration
require 'config.pl';

# Utility function library
require 'utility.pl';

############################################################################
# Main Script
############################################################################

# Load Config
my (%CFG) = &get_config();

# Construct the CGI object
my $cgi = CGI->new;

# This contains the values to replace in each template
my (%VAR) = &get_template_values(%CFG);

$VAR{'NAVBAR'} = qq(<a href="main.cgi">Main Menu</a> &gt;&gt; Search or Browse);

# Print Standard Header
print $cgi->header();
print $cgi->start_html({-title=>"Admin - Search or Browse",
						-style=>"$CFG{'admin-stylesheet-rel-path'}"});


print &parse_template("$CFG{'admin-templates-rel-dir'}/mainheader-xhtml.template", %VAR);

# Page Content

# Generate browse list
$VAR{'BROWSE-LIST'} = &generate_browse_list('browse.cgi', 1);

print &parse_template("$CFG{'admin-templates-rel-dir'}/search-or-browse-content-xhtml.template", %VAR);

# Page Footer
print &parse_template("$CFG{'admin-templates-rel-dir'}/mainfooter-xhtml.template", %VAR);

print $cgi->end_html();
