#!/bin/perl -wT

############################################################################
# search.cgi
#
# Description
#
# The script to display the basic public search form
#
# Change History
#
# 28/05/05 Ian Bolton
# Created
#
# $Id: search.cgi,v 1.2 2004/07/05 11:37:36 ibolton Exp $
#
############################################################################

############################################################################
# MODULES
############################################################################

# Use the CGI module
use CGI;

# Comment out for final release
use CGI::Carp qw(warningsToBrowser fatalsToBrowser);

# Display nice XHTML code
use CGI::Pretty;

# Uncomment at end to show compliance
#use strict;

############################################################################
# Library Includes
############################################################################

# Look in these locations for libraries
push(@INC, "../common/require");
push(@INC, "../common/cfg");

# Template parsing functions
require 'template.pl';

# Configuration
require 'config.pl';

# Utility function library
require 'utility.pl';

############################################################################
# Main Script
############################################################################

# Load Config
my (%CFG) = &get_config();

# Construct the CGI object
my $cgi = CGI->new;

# This contains the values to replace in each template
my (%VAR) = &get_template_values(%CFG);

$VAR{'NAVBAR'} = "Search";

# Print Standard Header
print $cgi->header();
print $cgi->start_html({-title=>"Search Interface",
						-style=>"$CFG{'public-stylesheet-rel-path'}"});


print &parse_template("$CFG{'public-templates-rel-dir'}/mainheader-xhtml.template", %VAR);

# Page Content
$VAR{'BASIC-SEARCH-HELP-METHOD'} = $CFG{'search-help-method'};
print &parse_template("$CFG{'public-templates-rel-dir'}/basicsearchform-xhtml.template", %VAR);


# Page Footer
print &parse_template("$CFG{'public-templates-rel-dir'}/mainfooter-xhtml.template", %VAR);

print $cgi->end_html();
